<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/6/10
 * Time: 10:56
 */

namespace App\Transformers\Circle;
use App\Models\InterestCircleMessageComment;
use Illuminate\Support\Carbon;
use League\Fractal\TransformerAbstract;

class CommentTransformer extends TransformerAbstract
{
    public function transform(InterestCircleMessageComment $interestCircleMessageComment)
    {
        if($interestCircleMessageComment['is_delete']){
            $content = '该评论已被删除';
        }elseif($interestCircleMessageComment['reply_username']){
            $content = '回复 @'.subtext($interestCircleMessageComment['reply_username'], 6).': '.$interestCircleMessageComment['content'];
        }else{
            $content = $interestCircleMessageComment['content'];
        }
        return [
            'id' => $interestCircleMessageComment['id'],
            'msg_id' => $interestCircleMessageComment['msg_id'],
            'parent_id' => $interestCircleMessageComment['parent_id'],
            'uid' => $interestCircleMessageComment['uid'],
            'username' => $interestCircleMessageComment['username'],
            'avatar' => $interestCircleMessageComment['avatar'],
            'content' => $content,
            'created_at' => Carbon::parse($interestCircleMessageComment['created_at'])->toDateTimeString(),
            'is_delete' => $interestCircleMessageComment['is_delete'],
        ];
    }
}