<?php

/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/6/6
 * Time: 14:08
 */

namespace App\Transformers\Circle;

use App\Models\InterestCircle;
use App\Models\InterestCircleMessage;
use App\Models\Post;
use App\Traits\PostTrait;
use App\Traits\UserTrait;
use Illuminate\Support\Carbon;
use League\Fractal\TransformerAbstract;

class MessageListTransformer extends TransformerAbstract
{
    use UserTrait;

    public function transform(InterestCircleMessage $interestCircleMessage)
    {
        $user = $this->getShortUserInfo($interestCircleMessage['uid']);
        return [
            'id' => $interestCircleMessage['id'],
            'created_at' => Carbon::parse($interestCircleMessage['created_at'])->toDateTimeString(),
            'user' => $user ? $user : new \stdClass(),
            'circle' => $this->getCircleInfo($interestCircleMessage['circle_id']),
            'good' => $interestCircleMessage['good'],
            'bad' => $interestCircleMessage['bad'],
            'comment_count' => $interestCircleMessage['comment_count'],
            'is_recommend' => $interestCircleMessage['is_recommend'],
        ];
    }

    public function getCircleInfo($circleId)
    {
        $info = InterestCircle::find($circleId);
        $circle['id'] = $info->id;
        $circle['name'] = $info->name;
        return $circle;
    }
}